Skip to content
extensions / Commerce extension
PATCH/api/projects/{project_id}/sales/shipping-methods/{method_id}

Update Shipping Method

Updates a project shipping method, creating a project override when the target is a system default.

PATCHDELETE

Authentication

Requirement
Required
Credential type
Bearer API key
Scopes
Not specified

Permissions

  • Requests are scoped to the target project_id. API-key requests must use a key with an active connection to that project.

Headers

NameRequiredTypeDetails
AuthorizationYesNot specified
Description: Bearer credential used to authenticate the request.

Path Parameters

NameRequiredTypeDetails
project_idYesNot specified
Description: Target project identifier.
method_idYesNot specified
Description: Identifier for method.

Query Parameters

Request Body

Schema: UpsertShippingMethodRequest

FieldRequiredTypeDetails
carrier_codeYesstring
Description: Text value.
carrier_labelNostring
Description: Human-readable label.
method_codeYesstring
Description: Text value.
method_labelYesstring
Description: Human-readable label.
is_activeNoboolean
Description: Boolean flag.
sort_orderNointeger
Description: Integer value.
metaNoJSON
Description: Free-form metadata object.
use_defaultNoboolean
Description: Boolean flag.

Response Body

Errors

400 bad_request404 not_found

Availability

Available in
v0.1.0
Available since
v0.1.0
Implementation
Available
Deprecation
Not specified
Rate limits
Not specified